Set new password from reset token
curl --request POST \
--url https://api.marzipan.co/v1/account/password/reset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "a1b2c3d4e5f6",
"email": "jane@example.com",
"password": "NewPass456",
"passwordConfirmation": "NewPass456"
}
'import requests
url = "https://api.marzipan.co/v1/account/password/reset"
payload = {
"token": "a1b2c3d4e5f6",
"email": "jane@example.com",
"password": "NewPass456",
"passwordConfirmation": "NewPass456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: 'a1b2c3d4e5f6',
email: 'jane@example.com',
password: 'NewPass456',
passwordConfirmation: 'NewPass456'
})
};
fetch('https://api.marzipan.co/v1/account/password/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Your password has been reset."
}{
"message": "This password reset token has expired. Please request a new password reset link.",
"errors": {
"email": [
"The email field is required."
]
}
}Account
Set new password from reset token
Set a new password using the token from a password reset email. This is a public endpoint used before the customer is logged in.
POST
/
account
/
password
/
reset
Set new password from reset token
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API token.
Body
application/json
Response
Success
⌘I

